microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter jalur
name
string
diperlukan
The name of the resource
version
string
diperlukan
The specific version id of the DatasetVersion to operate on.
Respons
The request has succeeded.
Isi
Content-Type: application/json
blobReference
BlobReference
diperlukan
Blob reference details.
blobUri
string
diperlukan
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
diperlukan
ARM ID of the storage account to use.
credential
SasCredential
diperlukan
SAS Credential definition
sasUri
string
diperlukan
SAS uri
type
enum
diperlukan
Type of credential
SAS
Minta
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json